import { AxiosInstance } from 'axios';
import { TBaseListProps, TBaseListResponse } from '../types';
import { TBoleto, TOrderBoletosProps, TRecuperarBoletosProps } from './types';
export declare type TRecuperarColecaoDeBoletosQueryParams = TRecuperarBoletosProps & TOrderBoletosProps & TBaseListProps;
declare type TRecuperarColecaoDeBoletosProps = {
    axios: AxiosInstance;
    accessToken: string;
    queryParams: TRecuperarColecaoDeBoletosQueryParams;
};
export declare type TRecuperarColecaoDeBoletosResponse = TBaseListResponse<TBoleto>;
export declare const recuperarColecaoDeBoletos: (props: TRecuperarColecaoDeBoletosProps) => Promise<TRecuperarColecaoDeBoletosResponse>;
export {};
