import { AxiosInstance } from 'axios';
import { TRecuperarBoletosProps } from './types';
export declare type TRecuperarSumarioDeBoletosQueryParams = TRecuperarBoletosProps;
declare type TRecuperarSumarioDeBoletosProps = {
    axios: AxiosInstance;
    accessToken: string;
    queryParams: TRecuperarSumarioDeBoletosQueryParams;
};
declare type TSummary = {
    quantidade?: number;
    valor?: number;
};
export declare type TRecuperarSumarioDeBoletosResponse = {
    pagos?: TSummary;
    abertos?: TSummary;
    vencidos?: TSummary;
    cancelados?: TSummary;
    expirados?: TSummary;
};
export declare const recuperarSumarioDeBoletos: (props: TRecuperarSumarioDeBoletosProps) => Promise<TRecuperarSumarioDeBoletosResponse>;
export {};
